---------------------------------------------------------------------------------

if not AceLibrary:HasInstance("Waterfall-1.0") then return end

---------------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AloftWaterfall")
local waterfall = AceLibrary("Waterfall-1.0")
local dewdrop = AceLibrary("Dewdrop-2.0")

---------------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["GUI Configuration"] = true,
	["Opens the Waterfall configuration menus"] = true,
} end)

---------------------------------------------------------------------------------

Aloft.Options.args.waterfall = 
{
	name = L["GUI Configuration"],
	type = "execute",
	order = 400,
	desc = L["Opens the Waterfall configuration menus"],
	func = function() waterfall:Open("Aloft") dewdrop:Close() end,
	disabled = function() return waterfall:IsOpen("Aloft") end
}

---------------------------------------------------------------------------------

AloftWaterfall = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceDB-2.0")

function AloftWaterfall:OnInitialize()
	waterfall:Register("Aloft",
					   "aceOptions", Aloft.Options,
					   "treeType","TREE",
					   "colorR", 0.26, "colorG", 0.41, "colorB", 0.57
					   )
end

---------------------------------------------------------------------------------
